"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const base_1 = require("@utils/base");
const providers_1 = require("@utils/providers");
class BuildCommand extends base_1.BaseCommand {
    exec({ flags, args, resolver }) {
        const script = flags.script || 'npm run build:{{project}}';
        return providers_1.ExecProvider.exec(script, Object.assign({}, flags, { cwd: process.cwd() }));
    }
}
BuildCommand.flags = {
    help: command_1.flags.help({ char: 'h' }),
    project: command_1.flags.string({ char: 'p', description: 'Имя пакета' }),
    config: command_1.flags.string({ char: 'c', description: 'Файл настроек', default: '.mnpmrc', required: true }),
    script: command_1.flags.string({ description: 'Npm команда для сборки', char: 's' })
};
BuildCommand.description = 'Сборка пакета';
BuildCommand.examples = [
    `$ mnpm buld -p=test-project`
];
BuildCommand.args = [];
exports.BuildCommand = BuildCommand;
