"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const base_1 = require("@utils/base");
const providers_1 = require("@utils/providers");
class PublishCommand extends base_1.BaseCommand {
    exec({ flags, args, resolver }) {
        const project = flags.project;
        return providers_1.NpmProvider.exec('publish', [], { cwd: resolver.cwd(project) });
    }
}
PublishCommand.description = 'Публикация пакетов';
PublishCommand.examples = [
    `$ mnpm publish -p=test-project`
];
PublishCommand.flags = {
    help: command_1.flags.help({ char: 'h' }),
    project: command_1.flags.string({ char: 'p', description: 'Имя пакета' }),
    config: command_1.flags.string({ char: 'c', description: 'Файл настроек', default: '.mnpmrc', required: true })
};
PublishCommand.args = [];
exports.PublishCommand = PublishCommand;
