"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const base_1 = require("@utils/base");
const providers_1 = require("@utils/providers");
class UninstallCommand extends base_1.BaseCommand {
    exec({ flags, args, resolver }) {
        const project = flags.project;
        return providers_1.NpmProvider.exec('uninstall', [args.packageName].filter(m => m), { cwd: resolver.cwd(project) });
    }
}
UninstallCommand.description = 'Удаление зависимостей';
UninstallCommand.examples = [
    `$ mnpm uninstall -p=test-project`
];
UninstallCommand.flags = {
    help: command_1.flags.help({ char: 'h' }),
    project: command_1.flags.string({ char: 'p', description: 'Имя пакета' }),
    config: command_1.flags.string({ char: 'c', description: 'Файл настроек', default: '.mnpmrc', required: true })
};
UninstallCommand.args = [{
        name: 'packageName',
        description: 'имя пакета для установки'
    }];
exports.UninstallCommand = UninstallCommand;
