"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const resolver_1 = require("./resolver");
class Config {
    static parse(path, command) {
        const fullpath = path_1.join(process.cwd(), path);
        if (!fs_1.existsSync(path)) {
            throw new Error(`Файл конфигурации ${path} не найден`);
        }
        let config = JSON.parse(fs_1.readFileSync(fullpath).toString());
        if (command && config[command]) {
            config = Object.assign({}, config, config[command]);
        }
        config.resolver = new resolver_1.Resolver(config.packages);
        return config;
    }
}
exports.Config = Config;
