"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const template_1 = require("@utils/template");
const exec_provider_1 = require("./exec.provider");
class NpmProvider {
    static exec(npmScript, args, options = {}) {
        const scriptArgs = Array.isArray(args) ? args : [args];
        const command = [
            'npm',
            ...(Array.isArray(npmScript) ? npmScript : [npmScript]),
            ...(scriptArgs.length ? ['--', ...scriptArgs] : scriptArgs)
        ];
        return exec_provider_1.ExecProvider.exec(command, Object.assign({}, options, { cwd: template_1.template(options.cwd, options) }));
    }
}
exports.NpmProvider = NpmProvider;
